LibreOffice: XXMLEncryptionTemplate Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XXMLEncryptionTemplate Interface Reference

Interface of XML encryption template. More...

`import "XXMLEncryptionTemplate.idl";`

Inheritance diagram for XXMLEncryptionTemplate:

## Public Member Functions
com::sun::star::xml::wrapper::XXMLElementWrapper | getTarget ()
| Get the target XML element, i.e.
Public Member Functions inherited from XXMLSecurityTemplate
void | setTemplate ([in] com::sun::star::xml::wrapper::XXMLElementWrapper aXmlElement) raises ( com::sun::star::lang::IllegalArgumentException )
| Load a XML signature template from XML signature element.
com::sun::star::xml::wrapper::XXMLElementWrapper | getTemplate ()
| Get the XML signature element that represents the signature template.
void | setTarget ([in] com::sun::star::xml::wrapper::XXMLElementWrapper aXmlElement) raises ( com::sun::star::lang::IllegalArgumentException )
| Load the target XML element, i.e.
void | setStatus ([in] SecurityOperationStatus status) raises ( com::sun::star::lang::IllegalArgumentException )
| Set the template status.
SecurityOperationStatus | getStatus ()
| Get the template status.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Interface of XML encryption template.

This interface represents an encryption template, which is the same as the desired XML encryption element[ EncryptedType ] but some of the nodes may be empty. The empty entities include CipherValue, which is a subset of EncryptedData or EncryptedKey. Empty entities are not allowed in an encryption template when performing decryption.

In some cases, the encryptor or decryptor can determine and locate the EncryptedKey from the encryption template by dereference the RetrievalMethod inside EncryptedData.

In some cases, the EncryptedKey need to be clearly pointed out by the encryption template.

With the help of encryption context, the encryptor or decryptor specifies the key from the KeyInfo in the encryption template.

It isn't a good method to set the EncryptedKey here. In general, there is a RetrievalMethod in EncryptedData by which we can get the EncryptedKey.

And sometimes, in the low level, it is hard to determine what the key is except that the high level application tell the mechanism and parameters.

So I think it will be more simple that the application set the encrypted key information. In this case, the application only need to know the XML schema or DTD and the encryption device. If so, the high level application takes the action of build the EncryptedKey template and references it in the element of EncryptedData. And in this case, the calling to set up EncryptedKey template and target is not necessary, because the encryptor or decryptor can determine and locate the EncryptedKey from the encryption template of EncryptedData by dereference the RetrievalMethod.

In some situation, the high level applications do not want to know anything about crypto devices( May be he must, because the lower level do not know what the key is ). If it gives the key value, it can get EncryptedKey by setting the key template and key value target.

## Member Function Documentation

## ◆ getTarget()

com::sun::star::xml::wrapper::XXMLElementWrapper getTarget | ( |  | ) |

Get the target XML element, i.e.

the element to be encrypted

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/XXMLEncryptionTemplate.idl